# ONSAS.jl

## *An Open Nonlinear Structural Analysis Solver*

[![docs-dev][dev-img]][dev-url] [![CI][ci-img]][ci-url] [![codecov][cov-img]][cov-url] [![license][lic-img]][lic-url]

[dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[dev-url]: https://ONSAS.github.io/ONSAS.jl/dev/
[ci-img]: https://github.com/ONSAS/ONSAS.jl/actions/workflows/CI.yml/badge.svg?branch=main
[ci-url]: https://github.com/ONSAS/ONSAS.jl/actions/workflows/CI.yml?query=branch%3Amain
[cov-img]: https://codecov.io/gh/ONSAS/ONSAS.jl/branch/main/graph/badge.svg
[cov-url]: https://codecov.io/gh/ONSAS/ONSAS.jl
[lic-img]: https://img.shields.io/github/license/mashape/apistatus.svg?maxAge=2592000
[lic-url]: https://github.com/ONSAS/ONSAS.jl/blob/main/LICENSE

`ONSAS.jl` is a Julia implementation of [ONSAS.m](https://github.com/ONSAS/ONSAS.m/): Open Nonlinear Structural Analysis Solver for GNU-Octave/Matlab.

## Using ONSAS

`ONSAS.jl` is a registered Julia package and can be installed and added to your project from your Julia terminal using:

```julia
julia> using ONSAS
```

To help you get started with using ONSAS.jl, we have provided resources in the [docs](http://onsas.github.io/ONSAS.jl/dev/). This includes internal documentation for interfaces, algorithms, and examples

## Contributing
All forms of contributing are kindly welcome (bug reports, docs, features, suggestions, questions and discussions). See [CONTRIBUTING](https://github.com/ONSAS/ONSAS.jl/blob/main/CONTRIBUTING.md) for more details.
